# WorldEdit Commands

Use `/i world_edit_wand` or `//wand`  to obtain a World Edit Wand, or enter creative mode with `/gm 1` to automatically receive one.

Sets position 1 and position 2 of the region to edit, creating a selected region between the two points.

```
//pos1
//pos2
```

Sets the selected region to the specified [block type](https://docs.easy.gg/scripting/bedwars-scripting/types/itemtype).

```
//set <blockType>
```

Replaces all blocks of the first block type contained in the selected region with the second block type.

```
//replace <blockType1> <blockType2>
```

Copies all the blocks in the selected region, from the current position of your character.

```
//copy
```

Pastes all the blocks in the selected region, based on the position of your character.

```
//paste
```

Replaces all the blocks in the selected region with "air".

```
//delete
```

Copies all of the blocks in the selected region, then replaces them with "air".

```
//cut
```

Rotates the selected region around each axis by the specified number of degrees.

```
//rotate <rotationX> <rotationY> <rotationZ>
```

Undos the last WorldEdit action.

```
//undo
```

Redos the last undone WorldEdit action.

```
//redo
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/worldedit-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
